# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "reflectapi-schema"
version = "0.17.2-alpha.4"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A library for defining and serializing/deserializing ReflectAPI schemas"
homepage = "https://github.com/thepartly/reflectapi"
documentation = "https://docs.rs/reflectapi-schema"
readme = "README.md"
keywords = [
    "reflectapi",
    "reflection",
    "schema",
    "serialization",
    "deserialization",
]
categories = [
    "web-programming",
    "development-tools",
    "api-bindings",
]
license = "Apache-2.0"
repository = "https://github.com/thepartly/reflectapi"

[features]
default = ["glob"]

[lib]
name = "reflectapi_schema"
path = "src/lib.rs"

[dependencies.glob]
version = "0.3.0"
optional = true

[dependencies.serde]
version = "1.0.197"
features = ["derive"]

[lints.clippy]
dbg_macro = "deny"

[lints.rust]
rust_2018_idioms = "deny"
